Package oracle.kv

# Class ResourceLimitException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.kv.FastExternalizableException
oracle.kv.FaultException
oracle.kv.ResourceLimitException

All Implemented Interfaces:
  `Serializable`, `oracle.kv.impl.util.FastExternalizable`

Direct Known Subclasses:
  `ChildTableLimitException`, `IndexLimitException`, `ServerResourceLimitException`, `TableAccessException`, `TableSizeLimitException`, `ThroughputLimitException`

public abstract class ResourceLimitException extends FaultException
A common exception base class for exceptions related to resource usage. In general resource limits are associated with a table. In that case the table name returned by getTableName will be non-null. When a subclass of this exception is thrown, the caller can assume that the associated operation was not performed and that there were no side effects.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ResourceLimitException(String tableName, String msg)`
  Constructs an instance of `ResourceLimitException` with the specified table name and detail message.

- ## Method Summary

  ### Methods inherited from class oracle.kv.FaultException

  `getFaultClassName, getRemoteStackTrace, toString, wasLoggedRemotely`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface oracle.kv.impl.util.FastExternalizable

  `deserializedForm`

- ## Constructor Details

  - ### ResourceLimitException

    protected ResourceLimitException(String tableName, String msg)
    Constructs an instance of `ResourceLimitException` with the specified table name and detail message.
    Parameters:
      `tableName` - the table name or null
      `msg` - the detail message